This repository has been archived on 2023-11-20. You can view files and clone it, but cannot push or open issues or pull requests.
foam-extend4.1-coherent-io/wmake/wmakeFilesAndOptions

68 lines
2 KiB
Text
Raw Normal View History

#!/bin/sh
#------------------------------------------------------------------------------
# ========= |
# \\ / F ield | OpenFOAM: The Open Source CFD Toolbox
# \\ / O peration |
# \\ / A nd | Copyright held by original author
# \\/ M anipulation |
#-------------------------------------------------------------------------------
# License
# This file is part of OpenFOAM.
#
# OpenFOAM is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License
# along with OpenFOAM; if not, write to the Free Software Foundation,
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
#
# Script
# wmakeFilesAndOptions
#
# Description
# Script to scan the current directory for directories and source files
# and construct Make/files and Make/options
#
# Usage : wmakeFilesAndOptions
#
#------------------------------------------------------------------------------
Script=${0##*/}
#
# check environment variables
#
for check in WM_OPTIONS WM_LINK_LANGUAGE WM_DIR
do
eval test "\$$check" || {
echo "$Script error: environment variable \$$check not set" 1>&2
exit 1
}
done
if [ -d Make ]
then
echo "$Script error: Make directory already exists" 1>&2
exit 1
else
mkdir Make
fi
[ -e Make/files ] || {
echo "$Script: Creating files"
$WM_DIR/scripts/makeFiles
}
[ -e Make/options ] || {
echo "$Script: Creating options"
$WM_DIR/scripts/makeOptions
}
#------------------------------------------------------------------------------